fr.enssat.BoulderDash.helpers

## Class LevelSelectorHelper

- java.lang.Object
- - fr.enssat.BoulderDash.helpers.LevelSelectorHelper

    public class LevelSelectorHelper
    extends java.lang.Object

LevelSelectorHelper Level selector helper

Since:
  2015-06-23
Author:
  Valerian Saliou <valerian@valeriansaliou.name>

### Constructor Summary

Constructors
Constructor and Description
`LevelSelectorHelper(boolean hasEmptyElement)` Class constructor
`LevelSelectorHelper(boolean hasEmptyElement, LevelEditorView levelEditorView)`

### Method Summary

Methods
`MenuLevelSelector` `createLevelList()` Creates the level list

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LevelSelectorHelper

    public LevelSelectorHelper(boolean hasEmptyElement)

Class constructor

#### LevelSelectorHelper

    public LevelSelectorHelper(boolean hasEmptyElement,
                       LevelEditorView levelEditorView)

### Method Detail

#### createLevelList

    public MenuLevelSelector createLevelList()

Creates the level list

Returns:
  Level list selector